<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
<?php namespace dtos;

use DateTime;
use Exception;
use DateInterval;
use JsonSerializable;
use ServiceStack\{IReturn,IReturnVoid,IGet,IPost,IPut,IDelete,IPatch,IMeta,IHasSessionId,IHasBearerToken,IHasVersion};
use ServiceStack\{ICrud,ICreateDb,IUpdateDb,IPatchDb,IDeleteDb,ISaveDb,AuditBase,QueryDb,QueryDb2,QueryData,QueryData2,QueryResponse};
use ServiceStack\{ResponseStatus,ResponseError,EmptyResponse,IdResponse,ArrayList,KeyValuePair2,StringResponse,StringsResponse,Tuple2,Tuple3,ByteArray};
use ServiceStack\{JsonConverters,Returns,TypeContext};


class GetTranslationReview implements JsonSerializable
{
    public function __construct(
        /** @var string */
        public string $Id=''
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['Id'])) $this->Id = $o['Id'];
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->Id)) $o['Id'] = $this->Id;
        return empty($o) ? new class(){} : $o;
    }
}

class TranslationUnitProxy implements JsonSerializable
{
    public function __construct(
        /** @var string|null */
        public ?string $PropertyName=null,
        /** @var string|null */
        public ?string $SourceValue=null,
        /** @var string|null */
        public ?string $TargetValue=null
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['PropertyName'])) $this->PropertyName = $o['PropertyName'];
        if (isset($o['SourceValue'])) $this->SourceValue = $o['SourceValue'];
        if (isset($o['TargetValue'])) $this->TargetValue = $o['TargetValue'];
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->PropertyName)) $o['PropertyName'] = $this->PropertyName;
        if (isset($this->SourceValue)) $o['SourceValue'] = $this->SourceValue;
        if (isset($this->TargetValue)) $o['TargetValue'] = $this->TargetValue;
        return empty($o) ? new class(){} : $o;
    }
}

class TranslationUnitGroupProxy implements JsonSerializable
{
    public function __construct(
        /** @var string|null */
        public ?string $Name=null,
        /** @var array<TranslationUnitProxy>|null */
        public ?array $Units=null
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['Name'])) $this->Name = $o['Name'];
        if (isset($o['Units'])) $this->Units = JsonConverters::fromArray('TranslationUnitProxy', $o['Units']);
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->Name)) $o['Name'] = $this->Name;
        if (isset($this->Units)) $o['Units'] = JsonConverters::toArray('TranslationUnitProxy', $this->Units);
        return empty($o) ? new class(){} : $o;
    }
}

class TranslationReviewProxy implements JsonSerializable
{
    public function __construct(
        /** @var string|null */
        public ?string $ActualSourceLanguage=null,
        /** @var string|null */
        public ?string $TargetLanguage=null,
        /** @var string|null */
        public ?string $ItemType=null,
        /** @var array<TranslationUnitGroupProxy>|null */
        public ?array $UnitGroups=null
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['ActualSourceLanguage'])) $this->ActualSourceLanguage = $o['ActualSourceLanguage'];
        if (isset($o['TargetLanguage'])) $this->TargetLanguage = $o['TargetLanguage'];
        if (isset($o['ItemType'])) $this->ItemType = $o['ItemType'];
        if (isset($o['UnitGroups'])) $this->UnitGroups = JsonConverters::fromArray('TranslationUnitGroupProxy', $o['UnitGroups']);
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->ActualSourceLanguage)) $o['ActualSourceLanguage'] = $this->ActualSourceLanguage;
        if (isset($this->TargetLanguage)) $o['TargetLanguage'] = $this->TargetLanguage;
        if (isset($this->ItemType)) $o['ItemType'] = $this->ItemType;
        if (isset($this->UnitGroups)) $o['UnitGroups'] = JsonConverters::toArray('TranslationUnitGroupProxy', $this->UnitGroups);
        return empty($o) ? new class(){} : $o;
    }
}

PHP GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}